# Uses of Class
org.eclipse.ecf.provider.comm.tcp.SocketFactory

Packages that use SocketFactory
Package
Description
org.eclipse.ecf.provider.comm.tcp

## Uses of SocketFactory in org.eclipse.ecf.provider.comm.tcp

Fields in org.eclipse.ecf.provider.comm.tcp declared as SocketFactory
Modifier and Type
Field
Description
`protected static SocketFactory`
SocketFactory.`defaultFactory`
`protected static SocketFactory`
SocketFactory.`factory`
Methods in org.eclipse.ecf.provider.comm.tcp that return SocketFactory
Modifier and Type
Method
Description
`static SocketFactory`
SocketFactory.`getDefaultSocketFactory()`
`static SocketFactory`
SocketFactory.`getSocketFactory()`
Methods in org.eclipse.ecf.provider.comm.tcp with parameters of type SocketFactory
Modifier and Type
Method
Description
`static void`
SocketFactory.`setSocketFactory(SocketFactory fact)`